<div class="page-wrap">
    <div class="d-flex pagetab-head radius-8  align-items-center justify-content-between mb-3 py-2 px-3 bg-white">
        <h3 class="h5 pt-3"><span><img width="12" src="{{ asset('assets/frontend/images/stickies-fill.png') }}" alt=""></span> {{ get_phrase('Blogs') }}</h3>
        <div class="inline-btn w-50">
            <a href="{{ route('create.blog') }}" class="btn btn-primary"><i class="fa fa-plus-circle me-1"></i>{{ get_phrase('Create articles') }}</a>
        </div>
    </div>

    <div class="card blog-tags border-none radius-8 ">
        <div class="tags">
            @foreach ($categories as $category )
                <a href="{{ route('category.blog',$category->id) }}" class="@if($category['id'] == $category_id) active @endif">{{ $category->name }}</a>
            @endforeach 
        </div>
    </div>

    <div class="row g-3 blog-cards mt-3">
        @foreach ($blogs as $blog )
            <div class="col-lg-4" id="blog-{{ $blog->id }}">
                <article class="single-entry sblog_entry p-0">
                    <div class="entry-img">
                        <a href="{{ route('single.blog',$blog->id) }}"><img src="{{ get_blog_image($blog->thumbnail,'thumbnail') }}" alt="" class="img-fluid thumbnail-210-200"></a>
                        <span class="date-meta">{{ $blog->created_at->format("d-M-Y") }}</span>
                    </div>
                    <div class="entry-txt p-8">
                        <div class="blog-meta">
                            <span><a href="#">{{ $blog->cagtegory->name }}</a></span>
                        </div>
                        <h3 class="h6"><a href="{{ route('single.blog',$blog->id) }}">{{$blog->title}}</a></h3>
                        <div class="d-flex justify-content-between blog-ava">
                            <div class="d-flex">
                                <img src="{{ get_user_image($blog->user_id,'optimized') }}" class="user-round" alt="">
                                <div class="ava-info">
                                    <h6><a href="#">{{ $blog->getUser->name }}</a></h6>
                                    <small>{{ $blog->created_at->diffForHumans()  }} </small>
                                </div>
                            </div>
                            <div class="dropdown eg_drop">
                                <div class="dropdown">
                                    <button class="btn btn-secondary" type="button" id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                                        <i class="fa-solid fa-ellipsis"></i> 
                                    </button>
                                    <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                        <li>
                                            <a href="{{ route('blog.edit',$blog->id) }}" class="dropdown-item btn btn-primary btn-sm"> <i class="fa fa-edit"></i> {{ get_phrase('Edit Article') }}</a>
                                        </li>
                                        <li>
                                            <a href="javascript:void(0)" onclick="confirmAction('<?php echo route('blog.delete', ['blog_id' => $blog->id]); ?>', true)" class="dropdown-item btn btn-primary btn-sm"><i class="fa fa-trash me-1"></i> {{get_phrase('Delete Article')}}</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </article>
            </div>
        @endforeach
    </div>
</div>