<div class="product-details-wrap  p-3 radius-8 bg-white">
    <div class="product-header row">
        <div class="col-lg-6">
            <div id="carouselExampleIndicators" class="carousel np_carousel slide product-slider"
                data-bs-ride="false">
                
                <div class="carousel-indicators">
                    @foreach ($product_image as $image )
                        <button type="button" data-bs-target="#carouselExampleIndicators"
                        data-bs-slide-to="{{ $loop->index }}" class="{{ $loop->index=='0'? "active":"" }}" aria-current="true"
                        aria-label="Slide {{ $loop->index+1 }}"><img class="w-77 custome-height-59" src="{{ get_product_image($image->file_name,"thumbnail") }}" alt=""></button>
                        {{--  indicator images  need  here  --}}
                    @endforeach
                </div>
                <div class="carousel-inner">
                    @foreach ($product_image as $image )
                        <div class="carousel-item {{ $loop->index=='0'? "active":"" }}"  onclick="showCustomModal('{{route('load_modal_content', ['view_path' => 'frontend.marketplace.load_image', 'image' => $image->file_name])}}', '');">
                            <img class="rounded w-100" src="{{ get_product_image($image->file_name,"coverphoto") }}" alt=""> 
                        </div>
                    @endforeach
                </div>
                <button class="carousel-control-prev" type="button"
                    data-bs-target="#carouselExampleIndicators" data-bs-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">{{get_phrase('Previous')}}</span>
                </button>
                <button class="carousel-control-next" type="button"
                    data-bs-target="#carouselExampleIndicators" data-bs-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="visually-hidden">{{get_phrase('Next')}}</span>
                </button>
            </div>
            <div class="row">
                <div class="n_detals_p pt-details @if(isset($_GET['shared'])) hidden-on-shared-view @endif">
                    <h3 class="sub-title">{{ get_phrase('Details') }}</h3>
                    <ul>
                        <li>{{ get_phrase('Condition') }}<span>{{ ucfirst($product->condition) }}</span></li>
                        <li>{{ get_phrase('Status') }}<span>{{ $product->status=='1'?"In Stock":"Out Of Stock" }}</span></li>
                        <li>{{ get_phrase('Category') }}<span>{{ ucfirst($product->getCategory->name) }}</span></li>
                        <li>{{ get_phrase('Brand') }}<span>{{ ucfirst($product->getBrand->name) }}</span></li>
                        <li><a class="btn btn-primary" target="_blank" href="{{$product->buy_link}}">{{ get_phrase('Buy Now') }}</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col-lg-6">
            <div class="product-info np_info_pro">
                <h1 class="product-title h4 fw-7">{{ $product->title }}</h1>
                <span class="pt-price text-primary sub-title">{{ $product->getCurrency->symbol }} {{ $product->price }}</span>
                <p class="list_text">{{get_phrase('Listed')}} {{ $product->created_at->timezone(Auth::user()->timezone)->format("d-m-Y") }}  . <strong>{{ $product->location }}</strong></p>
                <div class="pt-publisher @if(isset($_GET['shared'])) hidden-on-shared-view @else d-flex @endif align-items-center justify-content-between">
                    <div class="pb-author d-flex align-items-center">
                        <img class="user_image_proifle_height" src="{{get_user_image($product->getUser->photo, 'optimized')}}" alt="">
                        <div class="pb-info ms-2">
                            <p class="text-primary mb-0">{{ get_phrase('Published By') }}</p>
                            <h3 class="h6">{{ $product->getUser->name }}</h3>
                        </div>
                    </div>
                    <div class="pb-share d-flex justify-content-between">
                        @if ($product->user_id!=auth()->user()->id)
                        
                        @endif
                        <span>
                            
                            @php
                                $saved = \App\Models\SavedProduct::where('product_id',$product->id)->where('user_id',auth()->user()->id)->count();
                            @endphp
                            @if ($saved>0)
                            <a href="javascript:void(0)" class="green_color" onclick="ajaxAction('<?php echo route('unsave.product.later',$product->id); ?>')"> <i class="fa-solid fa-link-slash"></i> </a>
                            @else
                            <a href="javascript:void(0)" onclick="ajaxAction('<?php echo route('save.product.later',$product->id); ?>')"> <svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                                <path d="M8.59398 3.92001H3.40732C2.26732 3.92001 1.33398 4.85335 1.33398 5.99335V13.5667C1.33398 14.5333 2.02732 14.9467 2.87398 14.4733L5.49398 13.0133C5.77398 12.86 6.22732 12.86 6.50065 13.0133L9.12065 14.4733C9.97398 14.94 10.6673 14.5333 10.6673 13.5667V5.99335C10.6673 4.85335 9.73398 3.92001 8.59398 3.92001Z" fill="#0D091D"/>
                                <path d="M14.6659 3.40668V10.98C14.6659 11.9467 13.9726 12.3533 13.1259 11.8867L11.8392 11.1667C11.7326 11.1067 11.6659 10.9933 11.6659 10.8733V5.99334C11.6659 4.30001 10.2859 2.92001 8.59258 2.92001H5.87924C5.63258 2.92001 5.45924 2.66001 5.57258 2.44668C5.91924 1.78668 6.61258 1.33334 7.40591 1.33334H12.5926C13.7326 1.33334 14.6659 2.26668 14.6659 3.40668Z" fill="#0D091D"/>
                                </svg>
                                </a>
                            @endif
                        </span>
                        <span><a href="#" onclick="showCustomModal('{{route('load_modal_content', ['view_path' => 'frontend.main_content.share_post_modal', 'product_id' => $product->id] )}}', '{{get_phrase('Share Product')}}');" ><svg width="16" height="16" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M10.7601 1.97333L4.74008 3.97333C0.693412 5.32666 0.693412 7.53333 4.74008 8.88L6.52674 9.47333L7.12008 11.26C8.46674 15.3067 10.6801 15.3067 12.0267 11.26L14.0334 5.24666C14.9267 2.54666 13.4601 1.07333 10.7601 1.97333ZM10.9734 5.56L8.44008 8.10666C8.34008 8.20667 8.21341 8.25333 8.08674 8.25333C7.96008 8.25333 7.83341 8.20667 7.73341 8.10666C7.54008 7.91333 7.54008 7.59333 7.73341 7.4L10.2667 4.85333C10.4601 4.66 10.7801 4.66 10.9734 4.85333C11.1667 5.04666 11.1667 5.36666 10.9734 5.56Z" fill="#0D091D"/>
                            </svg>
                            </a></span>
                    </div>
                </div>
               
                <div class="row @if(isset($_GET['shared'])) hidden-on-shared-view @endif">
                    <div class="col-lg-12">
                        <div class="product-description p_des my-3">
                            <h3 class="sub-title">{{ get_phrase('Description') }}</h3>
                            @php echo script_checker($product->description, false); @endphp
                        </div>
                    </div>
                </div> <!-- row end -->
            </div>

        </div>
    </div> <!-- row end -->
</div>
@if(isset($related_product))
<div class="related-prodcut mb-14 mt-3 ">
    <h3 class="sub-title">{{get_phrase('Related Product')}}</h3>
</div>
<div class="rl-products owl-carousel">
    @foreach ($related_product as $related_product )
        <div class="card m_product product">
            <div class="product-figure position-relative mb-0">
                <a href="{{ route('single.product',$related_product->id) }}">
                    <div class="thumbnail-196-196" style="background-image: url('{{get_product_image($related_product->image,'coverphoto')}}');"></div>
                </a>
                @if ($related_product->user_id!=auth()->user()->id)
                    <a class="message-trigger" href="{{ route('chat',['reciver'=>$related_product->user_id,'product'=>$related_product->id]) }}"><i class="fa fa-message"></i></a>
                @endif
            </div>
             <div class="p-8">
                <h3 class="h6"><a href="{{ route('single.product',$related_product->id) }}"> {{ ellipsis($related_product->title, 15) }}</a></h3>
                <span class="location">{{ $related_product->location }}</span>
                <a href="{{ route('single.product',$related_product->id) }}" class="btn btn-primary d-block">${{ $related_product->price }}</a>
             </div>
        </div>
    @endforeach
</div>
@endif


