use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;



//Table structure for table `account_active_requests`
if(!Schema::hasTable('account_active_requests'))
{
    Schema::create('account_active_requests', function (Blueprint $table) {
        $table->id();
        $table->integer('user_id')->nullable();
        $table->string('status', 100)->nullable();
        $table->timestamp('created_at')->nullable();
        $table->timestamp('updated_at')->nullable();
    });
}

$columnsToAdd = [
    'save_post' => 'text',
];

// Filter out the columns that already exist in the users table
$columnsToAdd = array_filter($columnsToAdd, function ($type, $column) {
    return !Schema::hasColumn('users', $column);
}, ARRAY_FILTER_USE_BOTH);

// Check if there are columns to add before modifying the table
if (!empty($columnsToAdd)) {
    Schema::table('users', function (Blueprint $table) use ($columnsToAdd) {
        foreach ($columnsToAdd as $column => $type) {
            if ($type === 'string') {
                $table->string($column)->nullable();
            } elseif ($type === 'text') {
                $table->text($column)->nullable();
            }
            // Add more types if needed
        }
    });
}

DB::statement("ALTER TABLE `chats` CHANGE `message` `message` TEXT CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;");

